Subject: bug#9960: Compiling Emacs trunk with MSVC

From: Tim Crews <[email-masked]>
Date: Wed, 30 Nov 2011 09:30:05 -0700

On 11/30/2011 8:48 AM, Tim Crews wrote:

The initial "nmake bootstrap" still does not work.  The compilation of ntlib.c fails with

C:\Program Files (x86)\Microsoft Visual Studio 10.0\VC\INCLUDE\time.h(270) : error C2090: function returns array

On further inspection, I see that Fabrice Popineau already posted a patch on 28 November that resolves this issue (Message 224).  This patch has not made it into the bzr source yet.

With Fabrice's patch in place, I am able to successfully build the 32-bit Windows Emacs with the MSVC toolchain.  I'm using it now.

Tim Crews